<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for coupon in coupon package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  coupon module in coupon package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Coupon',
    'names'         => 'Coupons',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Coupons',
        'sub'   => 'Coupons',
        'list'  => 'List of coupons',
        'edit'  => 'Edit coupon',
        'create'    => 'Create new coupon'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'type'                => [1,2],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'name'                       => '',
        'category_id'                => '',
        'type'                       => '',
        'amount'                     => '',
        'desc'                       => '',
        'limit'                      => '',
        'limit_per_user'             => '',
        'start_date'                 => '',
        'end_date'                   => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'name'                       => 'Name',
        'category_id'                => 'Category',
        'type'                       => 'Discount Type',
        'amount'                     => 'Amount',
        'desc'                       => 'Description',
        'limit'                      => 'Coupon Limit',
        'limit_per_user'             => 'Limit Per User',
        'start_date'                 => 'Start Date',
        'end_date'                   => 'End Date',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'category_id'                => ['name' => 'Category', 'data-column' => 2, 'checked'],
        'type'                       => ['name' => 'Discount Type', 'data-column' => 3, 'checked'],
        'amount'                     => ['name' => 'Amount', 'data-column' => 4, 'checked'],
        'desc'                       => ['name' => 'Description', 'data-column' => 5, 'checked'],
        'limit'                      => ['name' => 'Coupon Limit', 'data-column' => 6, 'checked'],
        'limit_per_user'             => ['name' => 'Limit Per User', 'data-column' => 7, 'checked'],
        'start_date'                 => ['name' => 'Start Date', 'data-column' => 8, 'checked'],
        'end_date'                   => ['name' => 'End Date', 'data-column' => 9, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Coupons',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
